Bug 1574831 - wrong path in systemd service file
Summary: wrong path in systemd service file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: sslh
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 06:21 UTC by Phil
Modified: 2018-06-13 20:48 UTC (History)
2 users (show)

Fixed In Version: sslh-1.19c-2.fc28 sslh-1.19c-2.fc27 sslh-1.19c-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-23 15:38:45 UTC
Type: Bug


Attachments (Terms of Use)
Minor change to the 00-systemd-tuning.patch (1.96 KB, patch)
2018-05-05 22:56 UTC, John van Zantvoort
no flags Details | Diff

Description Phil 2018-05-04 06:21:31 UTC
Description of problem:
Apparently, with 1.19c-1.el7 the binary has been relocated from /usr/bin to /usr/sbin without reflecting the changes to the systemd service file:

ExecStart=/usr/bin/sslh $DAEMON_OPTS

Version-Release number of selected component (if applicable):
1.19c-1.el7

How reproducible:
always

Steps to Reproduce:
1. update to sslh 1.19c-1.el7
2. wonder why the daemon is down

Actual results:
daemon is dead:
systemd[26045]: Failed at step EXEC spawning /usr/bin/sslh: No such file or directory

Expected results:
daemon is running

Additional info:

Comment 1 John van Zantvoort 2018-05-05 22:56:10 UTC
Created attachment 1432150 [details]
Minor change to the 00-systemd-tuning.patch

Minor change to existing patch that fixed it for me.

Comment 2 James Hogarth 2018-05-09 21:27:48 UTC
Sorry about that ... not sure how that slipped through!

Thank you for reporting it.

Comment 3 Fedora Update System 2018-05-09 21:40:26 UTC
sslh-1.19c-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8ebf5a37cc

Comment 4 Fedora Update System 2018-05-09 21:40:35 UTC
sslh-1.19c-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3a37b7a5a

Comment 5 Fedora Update System 2018-05-09 21:40:41 UTC
sslh-1.19c-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-910705446c

Comment 6 Fedora Update System 2018-05-10 20:01:06 UTC
sslh-1.19c-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3a37b7a5a

Comment 7 Fedora Update System 2018-05-11 01:34:39 UTC
sslh-1.19c-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-910705446c

Comment 8 Fedora Update System 2018-05-11 01:59:24 UTC
sslh-1.19c-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8ebf5a37cc

Comment 9 Fedora Update System 2018-05-23 15:38:45 UTC
sslh-1.19c-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-23 15:58:28 UTC
sslh-1.19c-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-13 20:48:27 UTC
sslh-1.19c-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.